package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.teacher.SimpleScore;
import com.template.model.evaluate.teacher.SimpleScoreDetailList;
import com.template.model.evaluate.teacher.SmartScoreManage;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-02
 */
public interface SmartScoreManageService extends IService<SmartScoreManage> {

    public int insertSmartScoreManage(SmartScoreManage sa);

    public int updateSmartScoreManage(SmartScoreManage sa);

    public PageUtils<SmartScoreManage> queryPageSmartScoreManage(int currentPage, int pageCount, String name);

    public int deleteSmartScoreManageById(int id);

    public SmartScoreManage getSmartScoreManageById(int id);

    public List<SmartScoreManage> getScoreManageList();

    public List<SmartScoreManage> getScoreManageByKey(QueryWrapper<SmartScoreManage> queryWrapper);

    public String getMaxTerm();

    public SimpleScore queryScoreDetail(String term);

    public SimpleScoreDetailList queryTeacherScoreDetail(String term, String cardNo);

    public SimpleScoreDetailList queryNoTeacherScoreDetail(String term);
}
